Skip to main content
GET
Retrieve audit logs

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

FlowAuthorization Code
Authorization URL
https://app.hubspot.com/oauth/authorize
Token URL
https://api.hubapi.com/oauth/v1/token
Scopes1
account-info.security.read

Query Parameters

actingUserId
integer<int32>[]

An array of user IDs to filter the audit logs by the acting users.

after
string

The paging cursor token of the last successfully read resource will be returned as the paging.next.after JSON property of a paged response containing more results.

fillFinalTimestamp
boolean

A boolean indicating whether to fill the final timestamp in the response.

limit
integer<int32>

The maximum number of results to display per page.

occurredAfter
string<date-time>

The start date and time for filtering logs, in ISO 8601 format.

occurredBefore
string<date-time>

The end date and time for filtering logs, in ISO 8601 format.

sort
string[]

An array of fields to sort the results by.

Response

successful operation

results
object[]
required

An array of user action events, each represented by a PublicApiUserActionEvent object.

paging
object

Paging information for forward-only pagination. Contains the next page reference when more results are available; omitted or empty on the last page.

Last modified on September 9, 2026